%define prefix /usr
Summary: A GTK+ based front-end for CD rippers and MP3 encoders.
Name: grip
Version: 2.96
Release: 2.2.legacy
Serial: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.nostatic/grip/%{name}+cdpar-%{version}.tgz
Source1: gripicon.png
Patch0: grip+cdpar-2.95-makefile.patch
Patch1: grip-2.95-default-encoder.patch
Patch2: grip-2.95-Makefile.patch
Patch4: grip-2.95-debug.patch
Patch5: grip-2.96-buffer.patch
URL: http://www.nostatic.org/grip
Buildroot: %{_tmppath}/%{name}-root
Requires: vorbis
BuildRequires: gtk+-devel

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and MP3 encoders.  Grip allows you to rip entire tracks or
just a section of a track.  Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep
%setup -q
%patch0 -p1 -b .rh-grip+cdpar-makefile
%patch1 -p1 -b .rh-default-encoder
%patch2 -p1 -b .rh-Makefile
%patch4 -p1 -b .debug
%patch5 -p1 -b .buffer

%build
cd cdparanoia
%configure
make
make lib
cd -

export CFLAGS=$RPM_OPT_FLAGS 
make 

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_datadir}/{pixmaps,gnome/apps/Multimedia}}
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/

%makeinstall DESTDIR=%{buildroot} MANDIR=%{_mandir}

install $RPM_SOURCE_DIR/gripicon.png %{buildroot}%{_datadir}/pixmaps

cat > %{buildroot}%{_datadir}/gnome/apps/Multimedia/grip.desktop << EOF
[Desktop Entry]
Name=grip
Type=Application
Exec=%{_bindir}/grip
Comment=%{summary}
Icon=%{_datadir}/pixmaps/gripicon.png
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE TODO gripicon.tif gcdicon.tif
%{_libdir}/grip
%{_bindir}/grip
%{_bindir}/gcd
%{_mandir}/*/*
%{_datadir}/pixmaps/gripicon.png
%{_datadir}/gnome/apps/Multimedia/grip.desktop

%changelog
* Sun Jun 19 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 2.96-2.2.legacy
- Added missing gtk+-devel BuildRequires

* Sat Jun 11 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 2.96-2.1.legacy
- Added patch for CAN-2005-0706

* Wed Apr 10 2002 Bill Nottingham <notting@redhat.com>
- fix default encoder opts (#62551)

* Wed Jul 18 2001 Bill Nottingham <notting@redhat.com>
- update to 2.96

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- applied patches from alane@geeksrus.net in bug #41490

* Mon May 14 2001 Tim Powers <timp@redhat.com>
- updated to 2.95
- requires vorbis
- patched to use oggenc by default (since we ship it)
- changed location of the desktop file

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from the Helix packages for 6.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- include icon properly
- fix up man path patch

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fixed manpage location
- use %%makeinstall and other predefined macros wherever possible

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- updated to 2.94

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- fix more problems w/man page because of gzip

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- 2.91
- fix man page symlink

* Thu Nov 11 1999 Tim Powers <timp@redhat.com>
- updated to 2.8
- no longer need separate cdparanoia source
- gzip man pages
- added desktop entry

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.6

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- updated grip source
- included cdparanoia source, builds during the build routine so
  we can have a complete grip build
- and all were happy when it twas built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
